CRM
Create CRM process stage
POST
/
v1
/
crm
/
lists
/
{listID}
/
stages
Create CRM process stage
curl --request POST \
--url https://api.wazapin.com/v1/crm/lists/{listID}/stages \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"color": "<string>",
"display_order": 123,
"is_default": true,
"metadata": "<unknown>",
"slug": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
color: '<string>',
display_order: 123,
is_default: true,
metadata: '<unknown>',
slug: '<string>'
})
};
fetch('https://api.wazapin.com/v1/crm/lists/{listID}/stages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/crm/lists/{listID}/stages"
payload = {
"name": "<string>",
"color": "<string>",
"display_order": 123,
"is_default": True,
"metadata": "<unknown>",
"slug": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"color": "<string>",
"created_at": "<string>",
"display_order": 123,
"id": "<string>",
"is_archived": true,
"is_default": true,
"list_id": "<string>",
"metadata": "<unknown>",
"name": "<string>",
"slug": "<string>",
"updated_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Body
application/json
⌘I
Create CRM process stage
curl --request POST \
--url https://api.wazapin.com/v1/crm/lists/{listID}/stages \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"color": "<string>",
"display_order": 123,
"is_default": true,
"metadata": "<unknown>",
"slug": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
color: '<string>',
display_order: 123,
is_default: true,
metadata: '<unknown>',
slug: '<string>'
})
};
fetch('https://api.wazapin.com/v1/crm/lists/{listID}/stages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/crm/lists/{listID}/stages"
payload = {
"name": "<string>",
"color": "<string>",
"display_order": 123,
"is_default": True,
"metadata": "<unknown>",
"slug": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"color": "<string>",
"created_at": "<string>",
"display_order": 123,
"id": "<string>",
"is_archived": true,
"is_default": true,
"list_id": "<string>",
"metadata": "<unknown>",
"name": "<string>",
"slug": "<string>",
"updated_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}